#include "iom48.h"
#include "ina90.h"



unsigned char sleep_command;
unsigned char mode;

void INIT(void)
{
	sleep_command=0;
	DDRC=0XFF;
	PORTC=0XFF;
	//ACSR |= (1<<ACD);               //analog comparator disable
	//SMCR = (1<<SM1)|(1<<SE);        //power down.
	//PRR = (1<<PRTWI)|(1<<PRTIM2)|(1<<PRTIM0)|(1<<PRTIM1)|(1<<PRSPI)|(1<<PRUSART0)|(1<<PRADC);
	EICRA = 0X00;                   //Low level interrupt.
    EIMSK=(1<<INT0);                //External Interrupt Request 0 Enable
}

void SleepMode(void)
{
	asm("sleep");
}

void LED_ON_OFF(void)
{
    PORTC^= 0XFF;
    __delay_cycles(50000);
    __delay_cycles(50000);
    __delay_cycles(50000);
   
}
void main(void)
{
	INIT();
	_SEI();
	while(1)
	{
	      if(sleep_command)
	      {
	          SleepMode();
	      }
	      else     LED_ON_OFF();
	      
     }
}



#pragma vector=INT0_vect
__interrupt void INT0_isr(void)
{
	ACSR |= (1<<ACD);               //analog comparator disable
	PRR = (1<<PRTWI)|(1<<PRTIM2)|(1<<PRTIM0)|(1<<PRTIM1)|(1<<PRUSART0)|(1<<PRADC)|(1<<PRSPI);
		
	sleep_command=1;
	
}
