#include "iom48.h"
#include "ina90.h"


void INIT(void)
{
	DDRB=0XFF;		// PORTB1,2 OUTPUT PORT(OC1A,OC1B)    PORTB0=LED OUT...
	PORTB=0X00;
			
	EICRA = (2<<ISC10)|(2<<ISC00);
	EIMSK = (1<<INT1)|(1<<INT0);
	
	
	TCCR1A = (1<<COM1A0)|(1<<COM1B0)|(1<<WGM10)|(1<<WGM11);         // Fast pwm mode, toggle  ,
	TCCR1B = (1<<WGM13)|(1<<WGM12)|(1<<CS10);
	OCR1A = 135;
}

void main(void)
{
	INIT();
	_SEI();

	for(;;)
	{		
		_NOP();
	}
}