#include "iom48.h"
#include "ina90.h"

unsigned int chnel;
unsigned int AD_value[6];
	
void ADC_Init(void)
{
    ADMUX=(0<<REFS0)|(0<<ADLAR)|(0<<MUX0);											// AREF, Internal Vref turned off
    ADCSRA = (1<<ADEN)|(0<<ADSC)|(0<<ADATE)|(0<<ADIF)|(0<<ADIE)|(5<<ADPS0);			// ADC Prescaler Selections = CLK / 64
								                                                   	// Trigger Source --> Free Running mode                                                             
}                                                                               	
                                                                           	
unsigned int READ_ADC(unsigned int chnel)                                       	
{                                                                               	
	ADMUX =(ADMUX&0XE0)+chnel;														// chnel select
	ADCSRA |= (1<<ADSC);															// start convert
	while(!(ADCSRA&(1<<ADIF)));														// conversion complete
	ADCSRA |= (1<<ADIF);															// Free running setting			
	return ADC;                                                                 	
}                                                                               	
                                                                                	

void main(void)
{
    ADC_Init();
    _SEI();
   for(;;)
    {
       	READ_ADC(chnel); 
       	if(chnel>=5)	chnel=0; 
    	else 			chnel++;
   
    }

}    
