#include	"iom48.h"
#include	"ina90.h"

// 8Mhz϶...

unsigned int _100usec_cnt=0,_500usec_cnt;

void INIT(void)
{
	TCCR1A=0X00;
	//---             Clock Select Bit Description         ----------//
		
	TCCR1B=(1<<CS11);		//clkI/O/8 (From prescaler)   			(8Mhz)				1/(8000000/8)   = 	1us..

	TCNT1=65535-100;
	TIMSK1=(1<<TOIE1);

}

#pragma vector=TIMER1_OVF_vect
__interrupt void timer1_ovf(void)
{
	TCNT1=65535-100;
	_100usec_cnt++;
	if(_100usec_cnt>=5)
	{
		_500usec_cnt++;
		_100usec_cnt=0;
	}
}

void main(void)
{
	INIT();
	asm("sei");
	for(;;)
	{
		asm("nop");
	}
}

