#include "iom48.h"
#include "ina90.h"

///	*********   INT ̿ CNT  ҽ..

unsigned int _INT_cnt=0;

void INIT(void)
{
	EICRA=(2<<ISC00);		//The falling edge of INT0 generates an interrupt request.
	EIMSK=(1<<INT0);		//External Interrupt Request 0 Enable
}

#pragma	vector=INT0_vect
__interrupt void INT0_isr(void)
{
	_INT_cnt++;
}


void main(void)
{
	INIT();
	_SEI();						
	for(;;)
	{
		_NOP();
	}
}


