#include	"iom48.h"
#include	"ina90.h"

// 8Mhz϶...( 1sec  ī α׷.)

unsigned int _10ms_cnt=0,_1sec_cnt=0;

void INIT(void)
{
	DDRC=0XFF;			//PORTB OUTPUT Configuration
	PORTC=0XFF;			//high output
	
	//---             Clock Select Bit Description         ----------//
	
	//TCCR0B=(1<<CS00);		//clkI/O/(No prescaling)   			(1Mhz)     		1/(1000000/1)   = 	1us..
	//TCCR0B=(2<<CS00);		//clkI/O/8 (From prescaler)			(125000hz)		1/(1000000/8)   = 	8us..
	//TCCR0B=(3<<CS00);		//clkI/O/64 (From prescaler)		(15625hz)		1/(1000000/64)  =  	64us..
	//TCCR0B=(4<<CS00);		//clkI/O/256 (From prescaler)		(3906.25hz)		1/(1000000/256) = 	256us..
	//TCCR0B=(5<<CS00);		//clkI/O/1024 (From prescaler)		(976.5625hz)	1/(1000000/1024)= 	1024us..
	                                                                        	
	TCCR0B=(1<<CS02)|(1<<CS00);		//clkI/O/1024 (From prescaler)		(15625hz) 		1/(1000000/64)  = 	64us..
	TCNT0=(256-78);
	TIMSK0=(1<<TOIE0);
}

#pragma vector=TIMER0_OVF_vect
__interrupt void timer0_ovf(void)               // 10msec
{
	TCNT0=(256-78);
	//_10ms_cnt++;
    PORTD^=0XFF;
    /*
	if(_10ms_cnt>=100)                          // 1
	{
		_1sec_cnt++;
        PORTC ^= 0xff;
		_10ms_cnt=0;
	}*/
}

void main(void)
{
	INIT();
	_SEI();
	for(;;)
	{
         asm("nop");
	}

}

