#include "iom48.h"
#include "ina90.h"

#define   eeprom_write


unsigned char i=0;

void EEPROM_write(unsigned int uiAddress, unsigned char ucData)
{
	/* Wait for completion of previous write */
	while(EECR & (1<<EEPE));
	/* Set up address and Data Registers */
	EEAR = uiAddress;
	EEDR = ucData;
	/* Write logical one to EEMPE */
	EECR |= (1<<EEMPE);
	/* Start eeprom write by setting EEPE */
	EECR |= (1<<EEPE);
}

void main(void)
{
	for(;;)
	{
	    #ifdef  eeprom_write
	         for(i=0;i<256;i++)
		      {
			      EEPROM_write(i,i);
		      }
	    #else
	          _NOP();
		#endif
		
	}
}


